Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Event_Channel_Attributes Class Reference

Defines the construction time attributes for the Event Channel. More...

`#include <EC_Event_Channel.h>`

List of all members.

## Public Methods
| TAO_EC_Event_Channel_Attributes (PortableServer::POA_ptr supplier_poa, PortableServer::POA_ptr consumer_poa)
## Public Attributes
int | consumer_reconnect
| Can consumers or suppliers invoke connect_push_* multiple times? More...
int | supplier_reconnect
int | disconnect_callbacks
int | busy_hwm
| Flags for the Consumer Admin. More...
int | max_write_delay
CORBA::Object_ptr | scheduler
## Private Attributes
PortableServer::POA_ptr | supplier_poa
| The POAs. More...
PortableServer::POA_ptr | consumer_poa
## Friends
class | TAO_EC_Event_Channel
| Only the EC can read the private fields. More...

## Detailed Description

Defines the construction time attributes for the Event Channel.

The event channel implementation is controlled by two mechanisms: The EC_Factory that provides the strategies for the EC implementation. The EC attributes that define constants and values required by the EC construction. This class encapsulates those constants and values, providing an easy mechanism to extend the attributes without requiring changes in the EC constructor.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Event_Channel_Attributes::TAO_EC_Event_Channel_Attributes | ( | PortableServer::POA_ptr | s_poa,
|  | PortableServer::POA_ptr | c_poa
| ) |

| The basic constructor. The attributes listed as arguments are *required* by the EC, and no appropiate defaults are available for them.

## Friends And Related Function Documentation

friend class TAO_EC_Event_Channel`[friend]`

| Only the EC can read the private fields.

## Member Data Documentation

int TAO_EC_Event_Channel_Attributes::busy_hwm

| Flags for the Consumer Admin.

PortableServer::POA_ptr TAO_EC_Event_Channel_Attributes::consumer_poa`[private]`

int TAO_EC_Event_Channel_Attributes::consumer_reconnect

| Can consumers or suppliers invoke connect_push_* multiple times?

int TAO_EC_Event_Channel_Attributes::disconnect_callbacks

| It not zero the event channel will send disconnect callbacks when a disconnect method is called on a Proxy. In other words, if a consumer calls disconnect_push_supplier() on its proxy the EC will invoke disconnect_push_consumer() on the consumer. A similar thing is done for suppliers. It is a matter of debate what the spec requires for the regular event service.

int TAO_EC_Event_Channel_Attributes::max_write_delay

CORBA::Object_ptr TAO_EC_Event_Channel_Attributes::scheduler

| The scheduling service that we will use with this event channel. Notice that this is optional and will only take effect if the EC is configured with the right filtering strategies.

PortableServer::POA_ptr TAO_EC_Event_Channel_Attributes::supplier_poa`[private]`

| The POAs.

int TAO_EC_Event_Channel_Attributes::supplier_reconnect

The documentation for this class was generated from the following files:

- EC_Event_Channel.h
- EC_Event_Channel.i